package language.visual;

import language.CodeLanguage;

import background.CommandManager;

public class Slovak extends SimpleVizLanguage {

	public Slovak(CommandManager cm, CodeLanguage cl) { super(cm, cl); }

	@Override
	public String getEOLRegex() {
		return ";";
	}
	
	@Override
	public void createDictionary() {
		addToDictionary("vizPremenna", "premenna");
		addToDictionary("vizFor", "for");
		addToDictionary("vizOperacia", "operacia");
		addToDictionary("vizRepeat", "repeat");
		addToDictionary("vizWhile", "while");
		addToDictionary("vizIf", "if");
		addToDictionary("vizPauza", "pause");
		addToDictionary("vizObrazok", "image");
		addToDictionary("vizVstup", "vstup");
		addToDictionary("vizVystup", "vystup");
		addToDictionary("vizOtazka", "question");
		addToDictionary("vizNastavenia", "nastavenia");
	}
	
	
	@Override
	public void createParamDictionary() {
		super.createParamDictionary();
		paramDictionary.put("dizajn", "design");
		paramDictionary.put("mult", "multiplicator");
		paramDictionary.put("typ", "type");
		paramDictionary.put("farba", "color");
	}	

}
